/* --- Fonts --- */
:root {
  /* フォントファミリー */
  --ft-fam-zkgn: "Zen Kaku Gothic New", sans-serif;
  --ft-fam-archivo: "Archivo", sans-serif;

  /* フォントウェイト */
  --ft-wgt-elgt: 200;
  --ft-wgt-lgt: 300;
  --ft-wgt-reg: 400;
  --ft-wgt-mid: 500;
  --ft-wgt-bld: 700;
}

/* --- Base --- */
* { margin: 0; padding: 0; box-sizing: border-box; }
html { scroll-behavior: smooth; font-size: 62.5%; /* 16px * 62.5% = 10px */ letter-spacing: -3%;}
body { font-family: "Zen Kaku Gothic New", sans-serif; overflow-x: hidden; }
img { display: block; width: 100%; height: auto; }


/* 背景・文字色 */
.bg-white { background-color: #ffffff; color: #000; }
.bg-black { background-color: #000000; color: #fff; }
.bg-mission { background-image: url("../images/bg-MnV-pc.jpg"); background-size: cover; color: #000; }
.bg-vision  { background-image: url("../images/bg-MnV-pc.jpg"); background-size: cover; color: #000; }
.bg-values  { background-image: url("../images/bg-values-pc.jpg"); background-size: cover; color: #fff; }

.container { width: calc(100% - 64px); margin: 0 auto; }

@media (max-width: 960px) {
    .bg-mission { background-image: url("../images/bg-MnV-sp.jpg"); background-size: cover; color: #000; }
    .bg-vision  { background-image: url("../images/bg-MnV-sp.jpg"); background-size: cover; color: #000; }

    .container { width: calc(100% - 32px); }
}


/* section */
#message {padding: 64px 0 289px;}
#values {padding: 64px 0 110px;}
#service {padding: 160px 0 128px;}
#contact {padding: 64px 0 0;}

@media (max-width: 960px) {
    #service { padding: 64px 0 64px;}
}
@media (max-width: 960px) and (min-width: 550px) {
    #message { padding: 64px 0 192px;}
}



/*.border */
.border{width: 100%; height: 1px; background-image: repeating-linear-gradient(90deg, #000000, #000000 2px, transparent 2px, transparent 10px); background-position: left top; background-repeat: repeat-x; background-size: 100% 1px;}
.border.white { background-image: repeating-linear-gradient(90deg, #fff, #fff 2px, transparent 2px, transparent 10px); }


/* セクションラベル */
.section-header { display: flex; justify-content: space-between; align-items: center; padding-top: 10px; margin-bottom: 60px; }
.section-header span{white-space: nowrap;}
.label-en { display: flex; align-items: center; font-size: 2.6rem; font-family: var(--ft-fam-archivo); font-weight: var(--ft-wgt-bld);}
.label-en img { margin:0 16px; width: 32px; height: 32px; }
.label-en.blk img { filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(25%) hue-rotate(13deg) brightness(105%) contrast(108%); }
.label-jp { font-size: 1.4rem; font-weight: var(--ft-wgt-bld);}
@media (max-width: 960px) {
    .label-en { font-size: 2rem;}
    .label-jp { font-size: 1.2rem;}
}




/* --- Navigation & KV --- */
.nav-inner { display: flex; justify-content: flex-end; align-items: center; padding: 16px 35px; }
.nav-inner .nav-logo { display: none;}
.nav-links { display: flex; gap: 0 96px;}
.nav-links a { display: flex; align-items: center; height: 15px; color: inherit; text-decoration: none; font-size: 1.2rem; font-family: var(--ft-fam-archivo);  font-weight: var(--ft-wgt-mid); }

@media (max-width: 960px) {
    .nav-inner{ padding: 17px 8px 4px;}
    .nav-inner .nav-logo { display: block; margin-right: auto;}
    .nav-links{ gap: 0 24px;}
}


/* KV相対ナビ（白背景） */
.relative-nav { position: relative; background-color: #ffffff; width: 100%; z-index: 10; }
.logo-l { position: absolute; top: 0; left: 0; width: 100%; z-index: 2; mix-blend-mode: difference; pointer-events: none; }
.logo-l img { width: 100%; height: auto; display: block; filter: invert(1); } /* 黒ロゴを白としてブレンド */

.relative-nav .nav-inner { position: relative; z-index: 1; }
.relative-nav .nav-links { color: #000000; } /* 画面上は黒で見え、ロゴ重なりで白に反転 */

#hero .relative-nav {
    position: relative;
    background-color: #ffffff;
    width: 100%;
    z-index: 10;
    aspect-ratio: 360 / 67;
}
#hero .relative-nav .logo-l:before {
    content: "";
    display: block;
    width: calc(100% - 35px);
    height: 0.5px;
    position: absolute;
    top: 48px;
    z-index: 10;
    background-image: linear-gradient(to right, #fff, #fff 3px, transparent 3px, transparent 8px);
    background-size: 8px 0.5px;
    background-position: left top;
    background-repeat: repeat-x;
}

@media (min-width: 961px) {
    .logo-l .lh-sp { display: none;}
}
@media (max-width: 960px) {

    .logo-l .lh-pc { display: none;}
    .logo-l{ position: relative;}
    #hero .relative-nav { aspect-ratio: unset; display: flex; flex-direction: column-reverse;}
    #hero .relative-nav .logo-l:before { content: none;}
}




/* 固定ナビ */
.fixed-nav {
    position: fixed; top: 0; left: 0; width: 100%; z-index: 1000;
    opacity: 0; transition: opacity 0.3s ease;
    mix-blend-mode: difference; background: transparent; color: #ffffff;
}
.fixed-nav.is-active { opacity: 1; }
.fixed-nav .nav-inner { justify-content: space-between; }
@media (min-width: 961px) {
    .logo-s .lh-sp { display: none;}
}
@media (max-width: 960px) {
    .fixed-nav .nav-inner { align-items: start; padding: 0px 8px 4px;}
    .fixed-nav .nav-links { margin-top: 13px;}
    .logo-s .lh-pc { display: none;}
}




/* --- Hero --- */
.hero {position: relative; display: flex; flex-direction: column; }
.hero-content { margin-top: auto; color: #fff; }
.hero-img-wrap img { margin-top: -268px; }
.hero-text-wrap { position: absolute; top: 0; margin-left: 128px;  font-weight: var(--ft-wgt-bld);}
.hero-main { font-size: 3.2rem; line-height: 2.25; margin-top: 400px; }
.hero-sub { font-size: 2.4rem; line-height: 2; margin-top: 364px; }
.hero-sub p { margin-top: 48px; }
@media (max-width: 959px) {
    .hero-text-wrap { margin: auto; padding: 0 16px;}
    .hero-main { font-size: 2.2rem; margin-top: 186px; }
    .hero-sub {
    font-size: 1.7rem;
    margin: 128px 0 160px;
}
}
@media (max-width: 1200px) {
    .hero-content { background-image: url("../images/bg-kv.jpg"); 
            background-size: cover;
        background-position: top center;}
    .hero-img-wrap{ display: none;}
    .hero-text-wrap { position: relative; margin-bottom: 140px;}
}
@media (min-width: 1441px) {
    .hero-main { font-size: 2.2vw; margin-top: 57%;}
    .hero-sub { font-size: 1.68vw; margin-top: 52%;}
}




/* --- Scroll Animations --- */
.scroll-fade { opacity: 0; transform: translateY(10px); transition: opacity 1s ease-out, transform 1s ease-out; }
.scroll-fade.is-visible { opacity: 1; transform: translateY(0); }


.val-card img { margin: 0 auto 20px; width: 45px; height: 45px; }
.val-card p { font-size: 1.8rem; }
.values-logo{ width: 78%; margin: auto;}
.scroll-fade-stagger > * { opacity: 0; transform: translateY(10px); transition: opacity 0.8s ease-out, transform 0.8s ease-out; }
.scroll-fade-stagger.is-visible > * { opacity: 1; transform: translateY(0); }
.scroll-fade-stagger.is-visible > *:nth-child(1) { transition-delay: 0.4s; }
.scroll-fade-stagger.is-visible > *:nth-child(2) { transition-delay: 0.8s; }
.scroll-fade-stagger.is-visible > *:nth-child(3) { transition-delay: 1.2s; }
.scroll-fade-stagger.is-visible > *:nth-child(4) { transition-delay: 1.6s; }
.scroll-fade-stagger.is-visible > *:nth-child(5) { transition-delay: 2.0s; }
.scroll-fade-stagger.is-visible > *:nth-child(6) { transition-delay: 2.4s; }
.scroll-fade-stagger.is-visible > *:nth-child(7) { transition-delay: 2.8s; }


.hero-text-wrap .scroll-fade-stagger > * { opacity: 0; transform: translateY(20px); transition: opacity 2.4s ease-out, transform 2.4s ease-out; }
.hero-text-wrap .scroll-fade-stagger.is-visible > * { opacity: 1; transform: translateY(0); }
.hero-text-wrap .scroll-fade-stagger.is-visible > *:nth-child(1) { transition-delay: 1.2s; }
.hero-text-wrap .scroll-fade-stagger.is-visible > *:nth-child(2) { transition-delay: 2.4s; }
.hero-text-wrap .scroll-fade-stagger.is-visible > *:nth-child(3) { transition-delay: 3.6s; }
.hero-text-wrap .scroll-fade-stagger.is-visible > *:nth-child(4) { transition-delay: 4.8s; }

.hero-text-wrap .hero-sub.scroll-fade-stagger.is-visible > *:nth-child(1) { transition-delay: 0s; }
.hero-text-wrap .hero-sub.scroll-fade-stagger.is-visible > *:nth-child(2) { transition-delay: 1.2s; }
.hero-text-wrap .hero-sub.scroll-fade-stagger.is-visible > *:nth-child(3) { transition-delay: 2.4s; }
.hero-text-wrap .hero-sub.scroll-fade-stagger.is-visible > *:nth-child(4) { transition-delay: 3.6s; }



.load-fade { opacity: 0; transform: translateY(20px); animation: kvFade 1.2s forwards 0.5s; }
@keyframes kvFade { to { opacity: 1; transform: translateY(0); } }

/* --- Section Layouts --- */
.message-container {  margin: 0 auto 60px; max-width: 1376px;  }
.catch-copy { font-size: 9.9rem; font-family: var(--ft-fam-archivo); font-weight: var(--ft-wgt-bld); margin-bottom: 20px; }
.catch-sub { font-size: 2.4rem; }

.message-grid { display: flex; justify-content: center; gap: 0 80px; margin: 140px 0 20px; }
.msg-box-inner { display: flex; align-items: center; flex: 1; font-size: 4rem; }
.msg-ico { margin-right: 36px;}

.message-grid .msg-box .msg-ico { opacity: 0; transform: translate(-40px,40px); transition: 1s ease-out;}
.message-grid.is-visible .msg-box .msg-ico { opacity: 1; transform: translateY(0);}

.message-grid .msg-box .msg-ico svg .msg_ico01_slash,
.message-grid .msg-box .msg-ico svg .msg_ico02_slash{ opacity: 0; transform: scale(0.5); transform-origin: bottom left; transition: transform 0.6s ease, opacity 2s ease;  }

.message-grid.is-visible .msg-box .msg-ico svg .msg_ico01_slash { opacity: 1; transform: scale(1); transition-delay: 1.6s;}
.message-grid.is-visible .msg-box .msg-ico svg .msg_ico02_slash { opacity: 1; transform: scale(1); transition-delay: 2.2s;}


@media (max-width: 960px) and (min-width: 555px) {
    .msg-box-inner p {
        min-width: 350px;
    }
}
@media (max-width: 960px) {
    .message-container { max-width: 512px;}
    .message-grid { align-items: center; margin: 0; }
    .msg-box { margin: 58px 0 23px; }
    .msg-box-inner { font-size: 3rem;}
    .msg-ico img { width: 123px; height: auto;}
}
@media (min-width: 961px) {
    .catch-sub br { display: none; }
    .border.message{ display: none; }
}
@media (min-width: 1921px) {
    .message-grid{ gap: 0 160px;}
}
@media (min-width: 1921px) {
    .message-container {  
        max-width: 1456px;
    }
}


.msg-box ruby { position: relative;}
.msg-box ruby rt { font-size: 1.2rem; position: absolute; top: -10px; left: -3px; white-space: nowrap; }
.message-description{ position: relative; min-width: 552px; max-width: 40%; margin: 96px auto 0; font-size: 2.2rem; font-weight: var(--ft-wgt-bld); line-height: 1.75;}
.message-description p{ position: relative; z-index: 1;}
.message-description p:not(:first-of-type){ margin-top: 64px;}
.message-bg { position: absolute; top: 50%; left: 50%; z-index: 0; transform: translate(-50%, -50%); width: calc(80vw); }
@media (max-width: 960px) {
    .message-description {
        font-size: 1.8rem;
    }
    .catch-copy { font-size: 5rem;}

}
@media (max-width: 549px) {
    .message-description {
        min-width: 100%; margin: 128px auto 0; 
    }
    .message-bg {
        position: absolute;
        top: -10%;
        /* left: 50%; */
        z-index: 0;
        transform: unset;
        left: unset;
        /* right: -90px; */
        width: 580px;
        transform: rotate(-90deg) translate(0);
        /* transform-origin: top right; */
        transform: rotate(-90deg) translateY(-100%);
        transform-origin: top right;
        right: 0;
    }
}







/* Mission & Vision Splits */
.split-wrapper { display: flex; gap: 8px;}
.split-box { flex: 1; margin-bottom: 6px; padding: 64px 32px 129px; display: flex; flex-direction: column; }
.split-content { margin: auto; max-width: 600px; }
.split-content .v-label { font-size: 4.8rem; }
.split-content .counter { position: relative; display: inline-block; font-size: 16rem; font-weight: var(--ft-wgt-lgt); line-height: 1; letter-spacing: -5%;}
.split-content .counter span { font-size: 6.4rem; font-weight: var(--ft-wgt-reg); }
.split-content .counter:after{ content: ""; position: absolute; bottom: -13px; left:0; display: block; width: 100%; height: 2px; background-color: #000;}
.split-content h3 { font-size: 6.4rem; font-weight: var(--ft-wgt-reg); line-height: 1.5; margin: 16px 0 20px; }
.split-content .desc{ margin-top: 64px; font-size: 1.8rem; line-height: 1.75;}
.split-content .desc.mission{ margin-top: -8px;}

@media (max-width: 960px) {
    .split-content .v-label { font-size: 3rem; }
    .split-content .counter{ font-size: 11rem;}
    .split-content .counter span { font-size: 4rem;}
    .split-content h3 { font-size: 4em;}
    .split-content .desc { max-width: 312px; }
    .split-content .desc { margin-top: 64px !important;}
}

@media (max-width: 1280px) {
    .split-wrapper {
        flex-direction: column;
    }
}

/* Values Grid */
.values-lead { font-size: 1.6rem; line-height: 2; text-align: center; margin-bottom: 64px; }
.values-grid { position: relative; z-index: 1; display: grid; grid-template-columns: repeat(4, 1fr); gap: 20px; text-align: center; margin-top: 40px; }
.en{ display: block; font-size: 1.4rem; font-family: var(--ft-fam-archivo); font-weight: var(--ft-wgt-lgt);}
.kanji { font-size: 12rem; font-weight: var(--ft-wgt-elgt); margin: 20px 0; font-family: serif; }
@media (max-width: 960px) {
    .en { font-size: 1.2rem; }
    .kanji { font-size: 6.4rem; }
    .val-card p { font-size: 1.2rem; }
}


/* Service Layout */
.service-center { text-align: center; margin-bottom: 60px; font-size: 1.6rem; font-weight: var(--ft-wgt-mid); }
.service-catch { display: inline-block; margin-top: 40px; padding-bottom: 5px; font-size: 4.8rem; }
.service-banner {
    display: flex; justify-content: center; align-items: center;
    background: url('../images/bg-service-pc.jpg') center/cover;
    text-align: center; color: #fff; position: relative;
    aspect-ratio: 1312/565;
    padding: 60px 0;
}
.service-banner::before { content: ''; position: absolute; inset: 0; background: rgba(0,0,0,0.6); }
.banner-inner { position: relative; z-index: 1; }

.vvc-label{ font-size: 2.1rem; font-weight: var(--ft-wgt-bld); margin-bottom: 32px; }
.vvc-label span { position: relative; color: #000; }
.vvc-label span:before { content: ""; position: absolute; top: 0; bottom:0; left: -3px; right: 0; z-index: -1; margin: auto; width:calc(100% + 6px); height: 100%; background: #fff; }
.banner-inner h4 { font-size: 3rem; line-height: 1.75; }

.contact-btn { display: inline-block; padding: 4px 0; border-bottom: 1px solid #fff; color: #fff; font-size: 1.6rem; font-weight: var(--ft-wgt-bld); text-decoration: none; margin-top: 64px; }
@media (max-width: 558px) {
    .banner-inner{
    position: absolute;
    bottom: 10%;
    }
    .service-catch{ font-size: 2.4rem;}
    .banner-inner h4 { font-size: 1.6rem; }
}

@media (max-width: 960px) {
    .service-banner {
        background: url('../images/bg-service-sp.jpg') center/cover;
        aspect-ratio: 358/500;
    }
    
    
}
@media (min-width: 961px) {
    .banner-inner h4 br.br-sp { display: none; }
}
@media (min-width: 1280px) {
.service-catch br{
    display: none;
}
}





/* --- Contact Area Layout --- */
.contact-flex { display: flex; gap: 8%; align-items: flex-start; }
.contact-form-side { flex: 1.2; }
.contact-info-side { flex: 1; }

.contact-form{max-width: 400px; margin: auto;}
.form-row { margin-bottom: 20px; }
.contact-form input, .contact-form textarea {
    width: 100%; background: #1a1a1a; border: 1px solid #343434; padding: 7px; color: #fff; font-size: 1.2rem;
}
.contact-form textarea { height: 113px; resize: none; }
input.submit-btn { width: 100%; padding: 16px; background: #343434; border: 1px solid #aaa; color: #000; border: none; cursor: pointer;  letter-spacing: 0.1em; color: #aaa; font-weight: var(--ft-wgt-bld); transition: opacity 0.3s ease;}
input.submit-btn:hover { opacity: 0.86; }

.tbl-company th,.tbl-company td { text-align: left; padding: 10px 0; font-size: 1.6rem; font-weight: var(--ft-wgt-reg);}
.tbl-company th { padding-right: 48px; white-space: nowrap; }

@media (max-width: 960px) {
    .contact-form-side { width: 100%; }
    .tbl-company th, .tbl-company td { font-size: 1.3rem; }
}



/* Footer */
.footer-container{ position: relative; display: flex; justify-content: space-between; align-items: end; margin: 0 32px;}
.site-footer { padding: 194px 0 24px; text-align: center; }
.copyright  { font-size: 1.2rem; }
.footer-logo{ position: absolute; left: 0; right: 0; margin: auto; width: 150px;}
.nav-social{ display: flex; gap:0 16px;}

@media (max-width: 960px) {
    .split-wrapper, .message-grid, .values-grid, .contact-flex { flex-direction: column; }
    .contact-info-side { padding-top: 40px; }
    .footer-container { margin: 0 16px; }
    .site-footer { padding: 130px 0 16px; }
    .footer-logo { bottom: 47px; width: 96px;}
}


/* curtain animation */
.img-wrap {
    margin: auto;
    overflow: hidden;
    display: block;
    line-height: 0;

    /* 1. フェードインの初期状態（透明） */
    opacity: 0;
    
    /* 2. 下から現れる初期状態（下100%の位置でクリップ = 見えない） */
    clip-path: inset(100% 0 0 0);

    /* アニメーションの変化時間を設定（1.5秒） */
    transition: 
        opacity 3s ease-out,
        clip-path 3s cubic-bezier(0.4, 0, 0.2, 1),
        transform 3s cubic-bezier(0.4, 0, 0.2, 1) !important;
    
    /* 隠し味：少しだけ下に下げておくと、より滑らかにせり上がって見えます */
    transform: translateY(60px);
}

/* .is-visible クラスがついた時の状態 */
.img-wrap.is-visible {
    /* 1. フェードイン */
    opacity: 1;

    /* 2. クリップ解除（すべて表示） */
    clip-path: inset(0 0 0 0);

    /* 3. 元の高さへ戻る */
    transform: translateY(0);
}

.curtain-image {
    max-width: 100%;
    height: auto;
}